      COMPLEX*16 FUNCTION javsubTn(Qs,Ts,mbt2,mtp2,mv2)
*------------------------------------------------------
      IMPLICIT NONE!
      REAL*8 Qs,Ts
      REAL*8 rmtp2,rmbt2,rmv2,zet2,eps,P,slamb2,x12,x22
      COMPLEX*16 mtp2,mbt2,mv2,C0,C01,cm2
      COMPLEX*16 ieps,x21,slambl,sq1,sq2,XSPENZ
      PARAMETER (zet2=1.6449340668482264364724151666460251D0)
      PARAMETER (eps=1D-30)
      cm2=dcmplx(0d0,-1d-30)
      rmtp2=DREAL(mtp2)
      rmbt2=DREAL(mbt2)
      rmv2 =DREAL(mv2)
      P=Qs+rmv2
      ieps=DCMPLX(0D0,eps)
* This is only Re part in the limit m12 -> 0
      x21=(Ts+rmbt2)/Ts-ieps/(Ts+rmbt2)
      slamb2=DSQRT((rmtp2-Qs-rmbt2)**2+4*Qs*rmtp2)
      x12=(rmtp2-Qs-rmbt2+slamb2)/2/rmtp2
      x22=(rmtp2-Qs-rmbt2-slamb2)/2/rmtp2
      slambl=CDSQRT((rmtp2+rmv2-rmbt2)**2-4*rmtp2*(rmv2-ieps))
      sq1=(rmv2+rmtp2-rmbt2+slambl)/2/rmtp2
      sq2=(rmv2+rmtp2-rmbt2-slambl)/2/rmtp2
*
* javTsub=fix13+(-Qs/Ts)*fix11-(1+sdet3(0,rtp,Qs)/Ts)*fix12;
* fix11=1/Qs*(-1/2*ln(mw^2/(Qs+mw^2))**2-ln(Qs/mel^2)*ln(mw^2/(Qs+mw^2))-Li2(mw^2/(Qs+mw^2))+zet2);
      javsubTn=
     & -1d0/(Ts+rmbt2)*(
     & +CDLOG((P-ieps)/rmv2)*CDLOG((Qs-ieps)/(-Qs))
     & -1d0/2*CDLOG(rmv2/(Qs+rmv2-ieps))**2-XSPENZ(rmv2/(Qs+rmv2-ieps))
     & +zet2
     & -(CDLOG(ieps/(Ts+rmbt2)-sq1)+CDLOG(ieps/(Ts+rmbt2)-sq2)
     &  -CDLOG(P/rmtp2-ieps))*CDLOG((-Qs)/(Ts+rmbt2-ieps))
     & -XSPENZ(1d0/(sq1-ieps/(Ts+rmbt2)))
     & -XSPENZ(1d0/(sq2-ieps/(Ts+rmbt2)))
     & -CDLOG(x21-sq1)*CDLOG((1d0-x21)/(-x21))
     & +XSPENZ((1d0-x21)/(sq1-x21))-XSPENZ((-x21)/(sq1-x21))
     & -CDLOG(x21-sq2)*CDLOG((1d0-x21)/(-x21))
     & +XSPENZ((1d0-x21)/(sq2-x21))-XSPENZ((-x21)/(sq2-x21))
     & +CDLOG(P/rmtp2*(1d0-x21)-ieps)*CDLOG((1d0-x21)/(-x21))
     & +XSPENZ(P/rmtp2*(-x21)/(P/rmtp2*(1d0-x21)-ieps))
     &                 )
*
     & +1d0/slamb2*(
     & +CDLOG(x12-sq1)*DLOG(DABS((1d0-x12)/(-x12)))
     & -XSPENZ((1d0-x12)/(sq1-x12))+XSPENZ((-x12)/(sq1-x12))
     & +CDLOG(x12-sq2)*DLOG(DABS((1d0-x12)/(-x12)))
     & -XSPENZ((1d0-x12)/(sq2-x12))+XSPENZ((-x12)/(sq2-x12))
     & -CDLOG(P/rmtp2*(1d0-x12)-ieps)*DLOG(DABS((1d0-x12)/(-x12)))
     & -XSPENZ(P/rmtp2*(-x12)/(P/rmtp2*(1d0-x12)-ieps))
     & -CDLOG(x22-sq1)*DLOG(DABS((1d0-x22)/(-x22)))
     & +XSPENZ((1d0-x22)/(sq1-x22))-XSPENZ((-x22)/(sq1-x22))
     & -CDLOG(x22-sq2)*DLOG(DABS((1d0-x22)/(-x22)))
     & +XSPENZ((1d0-x22)/(sq2-x22))-XSPENZ((-x22)/(sq2-x22))
     & +CDLOG(P/rmtp2*(1d0-x22)-ieps)*DLOG(DABS((1d0-x22)/(-x22)))
     & +XSPENZ(P/rmtp2*(-x22)/(P/rmtp2*(1d0-x22)-ieps))
     &             )
* Attention!!! Coefficient at mbt=/=0???
*     & +(1d0+(rmtp2+Qs)/Ts)*C0(rmtp2,rmbt2,-Qs,rmv2,rmbt2,0d0)
     & +(1d0+(rmtp2+Qs)/Ts)*C01(-rmtp2,-rmbt2,Qs,mv2,mbt2,cm2)
*                                mt2  ,mb2  ,Qs ,mw2 ,mb2  ,0
*-------------------------------------------------------------
      RETURN
      END
